Group: Graphical desktop/Other
# BEGIN SourceDeps(oneline):
BuildRequires: imake libXt-devel xorg-cf-files zlib-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           fbdesk
Version:        1.4.1
Release:        alt1_28

Summary:        Icon Manager for Fluxbox

License:        MIT
URL:            http://fluxbox.sourceforge.net/fbdesk/
Source0:        http://fluxbox.sourceforge.net/download/fbdesk-1.4.1.tar.gz

# http://packages.debian.org/wheezy/fbdesk
Patch10:        10-gcc4.3-fixes.patch
Patch11:        20-include-header-cassert.patch
Patch12:        40-option-v.patch

# http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/x11-misc/fbdesk/files/fbdesk-1.4.1-libpng15.patch?revision=1.1
Patch20:        fbdesk-libpng15.patch
Patch30:        fbdesk-gcc48.patch
Patch31:        fbdesk-1.4.1-false.patch

BuildRequires:  gcc-c++
BuildRequires:  libfreetype-devel
BuildRequires:  libpng-devel
BuildRequires:  libICE-devel libSM-devel libX11-devel libXext-devel
BuildRequires:  libXft-devel libXpm libXpm-devel libXrender-devel
BuildRequires:  fontconfig-devel
BuildRequires:  imlib2-devel
BuildRequires:  libtool
Requires:       fluxbox
Source44: import.info

%description
FbDesk is a fluxbox-util application that creates and manages icons on your
Fluxbox desktop.


%prep
%setup -q
%patch10 -p1 -b .gcc43
%patch11 -p1 -b .cassert
%patch12 -p1
%patch20 -b libpng15
%patch30 -p1 -b .gcc48
%patch31 -p1

%build
%configure --x-includes=%{_includedir} --x-libraries=%{_libdir}
%make_build LIBTOOL=%{_bindir}/libtool

%check
make check

%install
%makeinstall_std

%files
%doc ChangeLog README
%doc --no-dereference COPYING
%{_bindir}/*


%changelog
* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_28
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_19
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_16
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_13
- update to new release by fcimport

* Mon Dec 24 2012 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_12
- initial fc import

